FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 03-05-2012, 12:46 PM
"Stefan G. Weichinger"
 
Default php 5.2 ebuild ?

Does anyone know where to get working ebuilds for PHP 5.2 ... ?

Thanks, Stefan
 
Old 03-05-2012, 12:58 PM
Neil Bothwick
 
Default php 5.2 ebuild ?

On Mon, 05 Mar 2012 14:46:32 +0100, Stefan G. Weichinger wrote:

> Does anyone know where to get working ebuilds for PHP 5.2 ... ?

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-lang/php/?hideattic=0


--
Neil Bothwick

Top Oxymorons Number 27: Military Intelligence
 
Old 03-05-2012, 01:06 PM
"Stefan G. Weichinger"
 
Default php 5.2 ebuild ?

Am 05.03.2012 14:58, schrieb Neil Bothwick:
> On Mon, 05 Mar 2012 14:46:32 +0100, Stefan G. Weichinger wrote:
>
>> Does anyone know where to get working ebuilds for PHP 5.2 ... ?
>
> http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-lang/php/?hideattic=0

oh, thanks ...

Now it doesn't build because of a missing php5_2-sapi.eclass ... *sigh*

Getting that old web-cyradm to work drives me crazy ... should have
migrated from the start ...
 
Old 03-05-2012, 01:27 PM
"Stefan G. Weichinger"
 
Default php 5.2 ebuild ?

Am 05.03.2012 15:06, schrieb Stefan G. Weichinger:
> Am 05.03.2012 14:58, schrieb Neil Bothwick:
>> On Mon, 05 Mar 2012 14:46:32 +0100, Stefan G. Weichinger wrote:
>>
>>> Does anyone know where to get working ebuilds for PHP 5.2 ... ?
>>
>> http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-lang/php/?hideattic=0
>
> oh, thanks ...
>
> Now it doesn't build because of a missing php5_2-sapi.eclass ... *sigh*

put the eclass into /usr/local/eclass ... now it fails to bunzip the
pulled patchset ... even when I am able to manually bunzip it ...

Things ain't easy. Oh no.
 
Old 03-05-2012, 01:38 PM
"Stefan G. Weichinger"
 
Default php 5.2 ebuild ?

Am 05.03.2012 15:27, schrieb Stefan G. Weichinger:
> Am 05.03.2012 15:06, schrieb Stefan G. Weichinger:
>> Am 05.03.2012 14:58, schrieb Neil Bothwick:
>>> On Mon, 05 Mar 2012 14:46:32 +0100, Stefan G. Weichinger wrote:
>>>
>>>> Does anyone know where to get working ebuilds for PHP 5.2 ... ?
>>>
>>> http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-lang/php/?hideattic=0
>>
>> oh, thanks ...
>>
>> Now it doesn't build because of a missing php5_2-sapi.eclass ... *sigh*
>
> put the eclass into /usr/local/eclass ... now it fails to bunzip the
> pulled patchset ... even when I am able to manually bunzip it ...

See:


php # ebuild php-5.2.9.ebuild fetch
* php-5.2.9.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...

[ ok ]
* php-patchset-5.2.9-r0.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...

[ ok ]
* checking ebuild checksums ;-) ...

[ ok ]

php # ebuild php-5.2.9.ebuild prepare
>>> Existing ${T}/environment for 'php-5.2.9' will be sourced. Run 'clean'
>>> to start with a fresh environment.
>>> Not marked as unpacked; recreating WORKDIR...
* php-5.2.9.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...

[ ok ]
* php-patchset-5.2.9-r0.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...

[ ok ]
* checking ebuild checksums ;-) ...

[ ok ]

* This profile is merely a convenience for people who require a more
* minimal profile, yet are unable to use hardened due to restrictions in
* the software being used on the server. If you seek a secure
* production server profile, please check the Hardened project
* (http://hardened.gentoo.org)

>>> cfg-update-1.8.2-r1: Checksum index is up-to-date ...
* Determining SAPI(s) to build
* Enabled SAPI: cli
* Disabled SAPI: cgi
* Enabled SAPI: apache2
>>> Unpacking source...
>>> Unpacking php-5.2.9.tar.bz2 to /var/tmp/portage/dev-lang/php-5.2.9/work
>>> Unpacking php-patchset-5.2.9-r0.tar.bz2 to
/var/tmp/portage/dev-lang/php-5.2.9/work
bzip2:
/var/tmp/portage/dev-lang/php-5.2.9/distdir/php-patchset-5.2.9-r0.tar.bz2 is
not a bzip2 file.
tar: This does not look like a tar archive
tar: Exiting with failure status due to previous errors
* ERROR: dev-lang/php-5.2.9 failed (unpack phase):
* failure unpacking php-patchset-5.2.9-r0.tar.bz2
*
 
Old 03-05-2012, 04:57 PM
"Stefan G. Weichinger"
 
Default php 5.2 ebuild ?

It seems as if I solved the original problem by *simply* correcting a
typo ....... you know ...

Thanks, Stefan
 

Thread Tools




All times are GMT. The time now is 12:10 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org